aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorGravatar Dmitry Lomov <dslomov@google.com>2016-04-22 14:22:34 +0000
committerGravatar Damien Martin-Guillerez <dmarting@google.com>2016-04-22 21:19:12 +0000
commita4e9deeeb27dffc203e1bdac2b3b98fb11bf123c (patch)
treefc9632df5a069bcfbb27c8ed78c860074dd3c215
parent73ccb5eb25e03659ce13eecf2bf43d376d344b0b (diff)
Run our first test on Windows.
-- MOS_MIGRATED_REVID=120545193
-rwxr-xr-xscripts/ci/windows/compile_windows.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/scripts/ci/windows/compile_windows.sh b/scripts/ci/windows/compile_windows.sh
index 15b091f152..bc6bf07406 100755
--- a/scripts/ci/windows/compile_windows.sh
+++ b/scripts/ci/windows/compile_windows.sh
@@ -26,7 +26,7 @@ cd $(dirname $0)/../../..
# Find Java. Minor versions and thus the name of the directory changes quite
# often.
-export JAVA_HOME=$(ls -d /c/Program\ Files/Java/jdk* 2> /dev/null | head -n 1)
+export JAVA_HOME=$(ls -d c:/Program\ Files/Java/jdk* 2> /dev/null | head -n 1)
if [[ "$JAVA_HOME" == "" ]]; then
echo "JDK not found under c:\\Program Files\\Java" 1>& 2
exit 1
@@ -39,4 +39,8 @@ mkdir -p "${TMPDIR}" # mkdir does work with a path starting with 'c:/', wow
# Even though there are no quotes around $* in the .bat file, arguments
# containing spaces seem to be passed properly.
-exec ./compile.sh "$*"
+./compile.sh "$*" || exit $?
+
+# Run the only Windows-specific test we have.
+# todo(bazel-team): add more tests here.
+exec ./output/bazel --batch test //src/test/shell/bazel:bazel_windows_cpp_test